www.nhoj.co.uk

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000200Dates to iCal 2nonepublic2012-08-03 08:502013-02-23 14:48
ReporterFabian Rademacher 
Assigned ToJohn Maisey 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.4.0 
Summary0000200: 10.8 + v2.3.1: Alarms keep coming back. Cannot dismiss them permanently.
DescriptionI'm on Mountain Lion (10.8)
I have set an alarm for birthdays on the same day at 9am. Whenever I dismiss (close) a notification, it comes back after the next sync (every 10-15 minutes). This is very annoying: I want those alarms, but only once. I do not want to disable them.

Console has these messages:

03.08.12 08:43:39,830 Dates to iCal Run[75039]: Checking for event '???? 38 (XXXXXX) · 1974'.
03.08.12 08:43:39,887 Dates to iCal Run[75039]: Event already in
03.08.12 08:43:39,898 Dates to iCal Run[75039]: Alarm added 2
03.08.12 08:43:39,921 Dates to iCal Run[75039]: Updating event: ???? 38 (XXXXXX) · 1974
03.08.12 08:43:39,999 Dates to iCal Run[75039]: Checking for event '???? 39 (XXXXXX) · 1974'.
03.08.12 08:43:40,022 CalendarAgent[333]: Property list invalid for format: 100 (property lists cannot contain objects of type 'CFSet')
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000636)
John Maisey (administrator)
2012-08-06 22:17

Hi Fabian,

Thanks for reporting this.

I believe the CalendarAgent error is related to iCal's data and not what Dates to iCal is adding. What happens after you restart your computer?

What are you syncing to?

John Maisey
(0000637)
Arnold (reporter)
2012-08-07 07:27

Hi Fabian and John,

I do have the same problem. Yesterday's birthday notification returned every 10 - 15 minutes on 10.8 with 2.3.1. And today, the notification keeps coming back (birthday was yesterday). I had a clean install of 10.8 and 2.3.1. Several restarts of the computer did not change anything.

Regards, Arnold
(0000638)
Fabian Rademacher (reporter)
2012-08-07 12:13

Hi John,

I restarted my Mac a couple of times lately, but reminders keep coming back. I had to turn them off, again. Sadly.

I only sync with iCloud.

Fabian
(0000647)
mani (reporter)
2012-09-04 15:12

Same problem here. Notifications keep popping up, that's very annoying. I love Dates 2 iCal, so I hope this gets resolved. My birthday calendar for Dates 2 iCal is located in iCloud.
(0000648)
John Maisey (administrator)
2012-09-04 15:20

Hi Mani,
Thanks for the verification.
Please can you create new calendars in Calendar/iCal and then set Dates to iCal to sync to the newly created calendars. Please let me know if this changes your symptoms or if you need more detailed instructions.
John M
(0000649)
mani (reporter)
2012-09-04 15:21

Additional note: it can be reproduced by launching and quitting the Dates 2 iCal app. Whenever I do this, the notification pops up. I assume this forces a "sync" of Dates 2 iCal.
(0000650)
mani (reporter)
2012-09-04 15:25

It's already a new one: After updating to the latest Dates 2 iCal on Mt. Lion I suddenly had duplicate birthday entries, so I completely deleted my birthday calender and created a new one.
(0000651)
John Maisey (administrator)
2012-09-04 15:35

Thanks. I'm running some tests on this and, as yet, cannot reproduce the issue. Please let me know if you have any other symptoms of if you see anything in your Console log that is related.
(0000652)
mani (reporter)
2012-09-04 16:16

Whenever a birthday notification pops up, I get the following in the console:

04.09.12 16:14:34,621 CalendarAgent[213]: Property list invalid for format: 100 (property lists cannot contain objects of type 'CFSet')

And the same line again when I close the notification. Nothing else in the console when it happens.
(0000653)
mgcaputi (reporter)
2012-09-06 17:52

I am experiencing the same behavior. I sync, via iCloud, with two other computers and an iPhone. The repeated notifications only occur on the system that is running Dates to iCal.
(0000670)
Soames Haworth (reporter)
2012-12-07 19:03

Hello, I am having the same problem. Notifications keep popping up over and over. What I have noticed is that this behavior happens anytime that an action would trigger "Dates to iCal Run.app" to run; Changing a birthday in contacts, opening iCal, making a change to D2i prefs, etc.

I am running:
D2i - 2.3.1
OSX - 10.8.2

I hope this can be addressed, I really like this app, and want to deploy it on 3 other machines but have to wait till this is fixed.

Kindly,
SH
(0000671)
John Maisey (administrator)
2012-12-09 23:16

Thanks for the additional input. I currently do not have a solution to this issue that appears to affect a small number of users.
(0000690)
Dean (reporter)
2013-01-24 01:34

I have been having this same issue after moving to Mountain Lion. It occurs on both my mac as well as my wife's. It only occurs on the devices that have the Dates to iCal software. On the other devices that sync via icoud/mobileme, there are no issues. I believe I have isolated it to occurring every time the software does a new sync (on interval when running in the background), or when you reopen the software (because it does a sync on each startup as well). It seems that when the software is off, it does not keep reproducing reminders. Therefore, I have to assume the mac is seeing each sync as a newly created item and putting up the reminder if it is within the interval specifications set in the alarms tab of Dates to iCal.

Because most people would want this program always running in order to not have to remember to manually sync every time they add a new birthday/anniversary, here are a few suggestions for a solution:

1. Allow for user defined syncing options... e.g. set to update at midnight. This would at least keep the pop ups from cycling every 15 minutes.
2. Add code for Dates to iCal to only update when it sees a difference between the calendar and the dates in Contacts. i.e. If you add a new date or change an existing one, it will sync only that item vs. every item each time a sync is performed.

One more thing I'd like to add. There are a lot of users who like the functionality but would not even know how to get to this feedback site to indicate they are having this issue. I wouldn't assume it is not prevalent simply because it is not widely known, or in many cases even understood by the EU. The point is that it is occurring, it is reproducible, and it is very annoying when you are trying to use software to simplify your life to begin with. Don't take that as a harsh complaint. It is just a constructive criticism.

thanks,
Dean
(0000691)
John Maisey (administrator)
2013-01-24 21:00

Thanks Dean for your additional information, and suggestions for the application. I will consider your suggestions for a future release.

After trying for several months I am still having trouble duplicating this issue. Therefore I would like people seeing this issue to turn on logging in Dates to iCal and send me the reports generated. To turn on logging open the Terminal (Applications > Utilities > Terminal) and copy in the following single line and press return.

defaults write uk.co.nhoj.DtiCal doLog 1

Then after a few hours send me the Console output (Applications > Utilities > Console) filtered by the term 'Dates to iCal' (without the quotes).

Dean I'd like to clarify your use of Dates to iCal. When you say running in the background I am expecting that you mean that you quit Dates to iCal and are talking about the background process 'Dates to iCal run' that is triggered on changes in the Address Book/Contacts.app database. There is no need to run the main application once you have made the settings required.

I appreciate what you are saying about this tracker system. However I receive and welcome communication through many methods including here. I also appreciate your frustration, am happy that you have taken time to provide feedback on this issue and hope to be able to provide a solution.

Thanks, John

p.s. to remove the logging enter the following into the Terminal and press return.

defaults delete uk.co.nhoj.DtiCal doLog
(0000703)
John Maisey (administrator)
2013-02-12 10:28

I believe I have found what is causing this issue and have a beta build of Dates to iCal that fixes it. Please contact me if you are still having this issue, as I'd like to confirm it is resolved before releasing the update.
(0000705)
Brad (reporter)
2013-02-12 17:13

Hi John,

Using 2.3.3 and 10.8 and am seeing two things going on:
1. A consistent high CPU usage for D2iC
2. Notifications repeating, including notifications for things that have happened recently in the past

I tried one of your solutions previously by opening the app, unchecking the sync and shutting down the application. The CPU usage reduced after a few minutes but all events were still in the specific calendar. The repeating notifications also stopped after a while. When I re-enabled the sync again the symptoms came straight back.

One other thing to note is that the only change I think I have made is that my calendar is two words instead of one (e.g. Original calendar was called "Dates", new calendar is now called "Important Dates"). I don't remember having the problem with a one word calendar.

Would you like me to log and send you this information?

Cheers,

Brad
(0000706)
John Maisey (administrator)
2013-02-12 23:24

Hi Brad,

Thanks for this. You appear to have four different issues. Only the second is linked to the original report.

The beta I have will have an affect on three of those, but the alarms for expired events is not an issue that has been reported to me before for Dates to iCal.

Would you like me to send you the current beta build of Dates to iCal? I expect it to be released in the next few days.

Best wishes

John
(0000707)
Brad (reporter)
2013-02-12 23:50
edited on: 2013-02-13 00:20

Yes please John, that would be great! <address removed> is my address.

I'll have a look at the symptoms I have been getting and let you know how it goes. Interestingly enough the repeated expired notifications have stopped at the moment as well as the CPU although I cannot see any processes running so that could be why. Either way I'll post an update with the results.

Appreciate the quick turnaround in response.

(0000708)
John Maisey (administrator)
2013-02-13 00:21

Hi Brad,
I have emailed you a copy of the current beta. Let me know how it goes.
John
(0000709)
Soames Haworth (reporter)
2013-02-13 02:34

Hello John,

May I also try the beta.

Cheers,
SH
(0000711)
Fabian Rademacher (reporter)
2013-02-14 21:23

I've noticed that the problem with repeating alarms only comes up, when you have a birthday today. When there is no birthday today, everything is fine.

I guess, the alarm are changed by iCal and then, Dates 2 iCal resets them back to say 9:00am. This triggers the alarm again.

Following is part of a log (changed named):


28.01.13 14:04:19,071 Dates to iCal Run[42900] Dates to iCal starting
28.01.13 14:04:19,848 Dates to iCal Run[42900] Calendar folder updated: 2013-01-28 11:55:28 +0000
28.01.13 14:04:19,949 Dates to iCal Run[42900] Calendar folder updated: 2013-01-28 11:55:28 +0000
28.01.13 14:04:19,982 Dates to iCal Run[42900] Starting to add
28.01.13 14:04:20,012 Dates to iCal Run[42900] Using calendar Geburtstage.
28.01.13 14:04:20,961 Dates to iCal Run[42900] Checking for event '???? 30. Namenstag Petra xxxxxxx · 1982'.
28.01.13 14:04:21,055 Dates to iCal Run[42900] Event already in
28.01.13 14:04:21,056 Dates to iCal Run[42900] Alarm added 1
28.01.13 14:04:21,062 Dates to iCal Run[42900] Updating event: ???? 30. Namenstag Petra xxxxxxx · 1982
28.01.13 14:04:21,131 Dates to iCal Run[42900] Checking for event '???? 31. Namenstag Petra xxxxxxx · 1982'.
28.01.13 14:04:21,236 Dates to iCal Run[42900] Event already in
28.01.13 14:04:21,236 Dates to iCal Run[42900] Alarm added 1
(...)
28.01.13 14:06:06,495 Dates to iCal Run[42900] Checking for event '???? Luisr xxxxxxx · '.
28.01.13 14:06:06,561 Dates to iCal Run[42900] Event already in
28.01.13 14:06:06,562 Dates to iCal Run[42900] Checking for event '???? Luisr xxxxxxx · '.
28.01.13 14:06:06,628 Dates to iCal Run[42900] Event already in
28.01.13 14:06:06,629 Dates to iCal Run[42900] Checking for event '???? Luisr xxxxxxx · '.
28.01.13 14:06:06,737 Dates to iCal Run[42900] Event already in
28.01.13 14:06:06,738 Dates to iCal Run[42900] Checking for event '???? xxxxxxx Topail · '.
28.01.13 14:06:06,809 Dates to iCal Run[42900] Event already in
28.01.13 14:06:06,810 Dates to iCal Run[42900] Alarm added 2
28.01.13 14:06:06,819 Dates to iCal Run[42900] Updating event: ???? xxxxxxx Topal ·
28.01.13 14:06:06,908 Dates to iCal Run[42900] Checking for event '???? xxxxxxx Topail · '.
28.01.13 14:06:07,026 Dates to iCal Run[42900] Event already in
28.01.13 14:06:07,027 Dates to iCal Run[42900] Checking for event '???? xxxxxxx Topail · '.
28.01.13 14:06:07,117 Dates to iCal Run[42900] Event already in
28.01.13 14:06:07,118 Dates to iCal Run[42900] Checking for event '???? xxxxxxx Re · '.
28.01.13 14:06:07,209 Dates to iCal Run[42900] Event already in
28.01.13 14:06:07,210 Dates to iCal Run[42900] Checking for event '???? xxxxxxx Re · '.
28.01.13 14:06:07,292 Dates to iCal Run[42900] Event already in
28.01.13 14:06:07,293 Dates to iCal Run[42900] Checking for event '???? xxxxxxx Re · '.
28.01.13 14:06:07,372 Dates to iCal Run[42900] Event already in
(...)
28.01.13 14:06:25,394 Dates to iCal Run[42900] Event already in
28.01.13 14:06:25,396 Dates to iCal Run[42900] Checking for event '???? 29 Tobias xxxxxxx · 1983'.
28.01.13 14:06:25,476 Dates to iCal Run[42900] Event already in
28.01.13 14:06:25,477 Dates to iCal Run[42900] Checking for event '???? 30 Tobias xxxxxxx · 1983'.
28.01.13 14:06:25,545 Dates to iCal Run[42900] Event already in
28.01.13 14:06:25,545 Dates to iCal Run[42900] Checking for event '???? 31 Tobias xxxxxxx · 1983'.
28.01.13 14:06:25,612 Dates to iCal Run[42900] Event already in
28.01.13 14:06:25,613 Dates to iCal Run[42900] Checking for event '???? 27 xxxxxxx Neuzhaus · 1985'.
28.01.13 14:06:25,679 Dates to iCal Run[42900] Event already in
28.01.13 14:06:25,680 Dates to iCal Run[42900] Checking for event '???? 28 xxxxxxx Neuzhaus · 1985'.
28.01.13 14:06:25,763 Dates to iCal Run[42900] Event already in
28.01.13 14:06:25,764 Dates to iCal Run[42900] Checking for event '???? 29 xxxxxxx Neuzhaus · 1985'.
28.01.13 14:06:25,846 Dates to iCal Run[42900] Event already in
28.01.13 14:06:25,848 Dates to iCal Run[42900] Checking for event '???? Enetko xxxxxxx · '.
28.01.13 14:06:25,927 Dates to iCal Run[42900] Event already in
28.01.13 14:06:25,927 Dates to iCal Run[42900] Alarm added 2
28.01.13 14:06:25,928 Dates to iCal Run[42900] Updating event: ???? Enetko xxxxxxx ·
28.01.13 14:06:25,994 Dates to iCal Run[42900] Checking for event '???? Enetko xxxxxxx · '.
28.01.13 14:06:26,093 Dates to iCal Run[42900] Event already in
28.01.13 14:06:26,094 Dates to iCal Run[42900] Checking for event '???? Enetko xxxxxxx · '.
28.01.13 14:06:26,191 Dates to iCal Run[42900] Event already in
28.01.13 14:06:26,192 Dates to iCal Run[42900] Checking for event '???? 32 xxxxxxx Wienter · 1980'.
28.01.13 14:06:26,256 Dates to iCal Run[42900] Event already in
28.01.13 14:06:26,257 Dates to iCal Run[42900] Checking for event '???? 33 xxxxxxx Wienter · 1980'.
28.01.13 14:06:26,387 Dates to iCal Run[42900] Event already in
28.01.13 14:06:26,388 Dates to iCal Run[42900] Checking for event '???? 34 xxxxxxx Wienter · 1980'.
28.01.13 14:06:26,561 Dates to iCal Run[42900] Event already in
(...)
28.01.13 14:06:43,503 Dates to iCal Run[42900] birth Ended
28.01.13 14:06:43,503 Dates to iCal Run[42900] Deleting old events 1
28.01.13 14:06:45,425 Dates to iCal Run[42900] Deleting old events 2
(0000712)
John Maisey (administrator)
2013-02-14 21:30

Hi Fabian,

Yes, it is pretty definitely to do default alarms. OSX 10.8 is quite firm on keeping default alarms, where Dates to ICal was removing them. I have an update I expect to release in a few days. If you like I can email you a copy now to try.

John
(0000713)
Fabian Rademacher (reporter)
2013-02-14 22:04
edited on: 2013-02-14 22:10

Yes, please: <email removed>

(0000714)
John Maisey (administrator)
2013-02-23 14:47

This issue was due to Dates to iCal attempting to remove the default alert created by the Calendar.app in OSX 10.8. The alert was then being added again by Calendar.app and triggering a fresh notification.

A special case of this bug was also fixed in Date to iCal 2.4.1.

If you are still having this issue with Dates to iCal 2.4.1 or later installed please start a new report.

- Issue History
Date Modified Username Field Change
2012-08-03 08:50 Fabian Rademacher New Issue
2012-08-06 22:12 John Maisey Status new => assigned
2012-08-06 22:12 John Maisey Assigned To => John Maisey
2012-08-06 22:17 John Maisey Note Added: 0000636
2012-08-06 22:17 John Maisey Status assigned => feedback
2012-08-07 07:27 Arnold Note Added: 0000637
2012-08-07 12:13 Fabian Rademacher Note Added: 0000638
2012-09-04 15:12 mani Note Added: 0000647
2012-09-04 15:20 John Maisey Note Added: 0000648
2012-09-04 15:21 mani Note Added: 0000649
2012-09-04 15:25 mani Note Added: 0000650
2012-09-04 15:35 John Maisey Note Added: 0000651
2012-09-04 16:16 mani Note Added: 0000652
2012-09-06 17:52 mgcaputi Note Added: 0000653
2012-12-07 19:03 Soames Haworth Note Added: 0000670
2012-12-09 23:16 John Maisey Note Added: 0000671
2013-01-24 01:34 Dean Note Added: 0000690
2013-01-24 21:00 John Maisey Note Added: 0000691
2013-02-12 10:28 John Maisey Note Added: 0000703
2013-02-12 10:28 John Maisey Status feedback => confirmed
2013-02-12 17:13 Brad Note Added: 0000705
2013-02-12 23:24 John Maisey Note Added: 0000706
2013-02-12 23:50 Brad Note Added: 0000707
2013-02-13 00:20 John Maisey Note Edited: 0000707
2013-02-13 00:21 John Maisey Note Added: 0000708
2013-02-13 02:34 Soames Haworth Note Added: 0000709
2013-02-14 21:23 Fabian Rademacher Note Added: 0000711
2013-02-14 21:30 John Maisey Note Added: 0000712
2013-02-14 22:04 Fabian Rademacher Note Added: 0000713
2013-02-14 22:10 John Maisey Note Edited: 0000713 View Revisions
2013-02-23 14:47 John Maisey Note Added: 0000714
2013-02-23 14:47 John Maisey Status confirmed => resolved
2013-02-23 14:47 John Maisey Fixed in Version => 2.4.0
2013-02-23 14:47 John Maisey Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker